<%/*[comment]分页栏[/comment]*/%>
<%@page pageEncoding="UTF-8"%>
<%@page trimDirectiveWhitespaces="true"%>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@taglib prefix="gen" uri="http://help.jspgen.com/taglib/jstl"%>
<gen:if test="${pager.pageCount > 1}">
	<!--总数：${pager.totalCount} 条，-->第 <span class="red">${pager.pageNumber}</span>/${pager.pageCount} 页&nbsp;
    <gen:if test="${pager.pageNumber > 1}">
    <a href="javascript:void(0);" onclick="return pageNumber(1);">首页</a>
    <gen:else /><a href="javascript:void(0);">首页</a></gen:if>
    <gen:if test="${pager.pageNumber > 1}">
    <a href="javascript:void(0);" onclick="return pageNumber(${pager.pageNumber-1});">上一页</a>
    <gen:else /><a href="javascript:void(0);">上一页</a></gen:if>
    <gen:if test="${pager.pageNumber < pager.pageCount}">
    <a href="javascript:void(0);" onclick="return pageNumber(${pager.pageNumber+1});">下一页</a>
    <gen:else /><a href="javascript:void(0);">下一页</a></gen:if>
    <gen:if test="${pager.pageNumber < pager.pageCount}">
    <a href="javascript:void(0);" onclick="return pageNumber(${pager.pageCount});">尾页</a>
    <gen:else /><a href="javascript:void(0);">尾页</a></gen:if>
    <input type="hidden" id="maxpagecount" value="${pager.pageCount}" />
    <input type="text" id="page" name="page" class="text small" value="" size="2" />
    <input type="button"  id="go" name="go" class="button blue small" value="GO"  onclick="return goSearch();" />
	<script type="text/javascript">
    function goSearch() {
		var $page = $('#page');
        if($page.val() == ''){
            alert('请输入页码！'); $page.focus();
            return false;
        }
        if($page.val() > ${pager.pageCount}){
            alert('超出页码范围！'); $page.focus();
            return false;
        }
        $('#go').prop('disabled', true);
        // 表单项
		var $form = $('form[name="search"]'), $url = '${pager.pageName}page='+$page.val(); // 跳转地址(动态)
		// if(!var)相当于判断var=''、var=null、var=undefined、var=0
		if(${pager.html}){	// 静态页面
			if($page.val() <=1){
				$url = '${pager.fileName}.${pager.fileExte}';
			}else{
				$url = '${pager.fileName}_'+$page.val()+'.${pager.fileExte}';
			}
		}else{
			// 伪静态处理
			var filename = urlfilename(window.location.href), exte = urlexte(filename);
			if('htm' == exte || 'html' == exte || 'shtml' == exte) {
				if($page.val() <=1){
					$url = filename;
				}else{
					$url = urlname(filename)+'_'+$page.val()+'.'+exte;
				}
			}
		}
        if($form.length>0) {
            $form.attr('action', $url);
            $form.find('input:submit').click();
        }else{
            window.location = $url;
        }
    }
    function pageNumber(num) {
        $('#page').prop('value', num);
        return $('#go').click();
    }
	function urlfilename(url) {
		url = url.split('?')[0]; // 只要?号前字符
		var urlslash = url.split('/').length; // 统计斜杠 
		return url.split('/')[urlslash-1].toLowerCase(); // 获取最后一个/之前字符
	}
	function urlname(filename) {
		var name = filename.split('.');
		if(name.length == 2) {
			return name[0].substring(0, name[0].lastIndexOf('_')); // 获取最后一个_之前字符
		}
		return filename;
	}
	function urlexte(filename) {
		var name = filename.split('.');
		if(name.length == 2) return name[1];
		return '';
	}
    document.onkeydown = function(e){
        var evt = window.event ? window.event : e;
        if(evt.keyCode == 13) goSearch();
    }
    </script>
</gen:if>